package com.bcxin.ars.model.approve;

import com.alibaba.fastjson.annotation.JSONField;
import com.bcxin.ars.model.BaseModel;
import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.List;

/**
 * 审批模板和环节关系
 * 
 * @author Ethan
 */
public class ApproveTempLink extends BaseModel {

	private static final long serialVersionUID = 5519637720022779284L;

	@JSONField(serialize = false)
	@JsonBackReference
	@JsonIgnoreProperties(value = { "handler" })
	private ApproveTemp approveTemp;

	@JSONField(serialize = false)
	@JsonBackReference
	@JsonIgnoreProperties(value = { "handler" })
	private ApproveLink approveLink;

	private long seq;

	private List<ApproveLinkLevel> linkLevels;
	/** 创建机构类型(1省级机构，其他市级机构) */
	private String createType;

	public long getSeq() {
		return seq;
	}

	public void setSeq(long seq) {
		this.seq = seq;
	}

	public ApproveTemp getApproveTemp() {
		return approveTemp;
	}

	public void setApproveTemp(ApproveTemp approveTemp) {
		this.approveTemp = approveTemp;
	}

	public ApproveLink getApproveLink() {
		return approveLink;
	}

	public void setApproveLink(ApproveLink approveLink) {
		this.approveLink = approveLink;
	}

	public List<ApproveLinkLevel> getLinkLevels() {
		return linkLevels;
	}

	public void setLinkLevels(List<ApproveLinkLevel> linkLevels) {
		this.linkLevels = linkLevels;
	}

	public String getCreateType() {
		return createType;
	}

	public void setCreateType(String createType) {
		this.createType = createType;
	}

}
